use anyhow::Result;
use memory::{MemoryUserService, MemoryProductService};
use tui::run_tui;

#[tokio::main]
async fn main() -> Result<()> {
    let user_service = MemoryUserService::new(memory::InMemoryUserRepository::new());
    let product_service = MemoryProductService::new(memory::InMemoryProductRepository::new());
    
    run_tui(user_service, product_service).await
}
